package com.huimv.farm.damsubsidy.controller;


import cn.hutool.core.util.ObjectUtil;
import com.huimv.farm.damsubsidy.common.token.TokenSign;
import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.common.utils.ResultCode;
import com.huimv.farm.damsubsidy.entity.AccessToken;
import com.huimv.farm.damsubsidy.entity.SysUser;
import com.huimv.farm.damsubsidy.service.ISysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Date;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
@RestController
@RequestMapping("/sys-user")
@CrossOrigin
public class SysUserController {

    @Autowired
    private ISysUserService iSysUserService;

    @PostMapping(value = "/login")
    public Result loginMultilevel(HttpServletRequest req, @RequestBody Map<String, String> map)  {

        Result result = iSysUserService.loginMultilevel(req, map);
        AccessToken accessToken = new AccessToken();
        if (result.getCode() == 10000) {
            SysUser user = (SysUser) result.getData();
            accessToken.setAccountName(user.getUserName());
            accessToken.setCreated(new Date());
            accessToken.setLoginIp(user.getLastIp());
            accessToken.setToken(TokenSign.sign(user.getUserName(), user.getPhone()));
        } else {
            accessToken.setAccountName("游客");
            accessToken.setCreated(new Date());
            accessToken.setToken(TokenSign.sign("游客",map.get("phone")));
            accessToken.setLoginIp("");
        }
        return new Result(ResultCode.SUCCESS,accessToken);
    }


    @PostMapping(value = "/add")
    public Result add(HttpServletRequest req, @RequestBody Map<String, String> map)  {
        return new Result(ResultCode.SUCCESS, iSysUserService.add(req, map));
    }
    @PostMapping(value = "/edit")
    public Result edit(HttpServletRequest req, @RequestBody SysUser user)  {
        return new Result(ResultCode.SUCCESS, iSysUserService.edit(req, user));
    }
    @PostMapping(value = "/list")
    public Result list(HttpServletRequest req, @RequestBody Map<String, String> map)  {
        return new Result(ResultCode.SUCCESS, iSysUserService.list(req, map));
    }
    //测试-token
    @PostMapping(value = "/getToken")
    public String getToken(HttpServletRequest req)  {
        String token =  TokenSign.sign("superadmin","123456789");
        return  token;
    }
}
