package com.huimv.farm.damsubsidy.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 补贴信息表
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("bill_subsidy")
public class BillSubsidy extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String subsidyName;

    /**
     * 审核进度; 0待受理，1已受理，2已拒接，3审核通过，4审核不通过，5申诉中，6已发放
     */
    private Integer subsidySch;

    /**
     * 农户姓名
     */
    private String farmerName;

    /**
     * 详细地址
     */
    private String cargoOwnedetailedAdressr;

    /**
     * 农户类别：0动态监测对象，1已脱贫，2其他养殖场（户）
     */
    private Integer farmerType;

    /**
     * 养殖场名称
     */
    private String farmName;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 存栏数
     */
    private Integer existNum;

    /**
     * 引进数
     */
    private Integer importNum;

    /**
     * 奖补类别:0肉牛，1肉羊，2生猪，3青贮池，4生态及地质灾害避险搬迁户，5贷款户，
     */
    private Integer rewardType;

    /**
     * 引进奖补数量
     */
    private Integer rewardNum;

    /**
     * 上一年享受情况
     */
    private String rewardLastYear;

    /**
     * 检疫单号
     */
    private String inspectionNum;

    /**
     * 耳标号
     */
    private String eartagNo;

    /**
     * 贷款信息
     */
    private String loanInfo;

    /**
     * 申报金额
     */
    private BigDecimal applyMoney;

    /**
     * 补贴账号
     */
    private String bankCardId;

    /**
     * 开户行名称
     */
    private String bankName;

    /**
     * 审核部门
     */
    private String reviewedDepart;

    /**
     * 审核部门id
     */
    private Long reviewedDepartId;

    /**
     * 提交时间
     */
    private Date subTime;

    /**
     * 受理时间
     */
    private Date acceptTime;

    /**
     * 拒绝理由
     */
    private String refuseReason;

    /**
     * 审核时间
     */
    private Date reviewedTime;

    /**
     * 驳回理由
     */
    private String rejectReason;

    /**
     * 申诉理由
     */
    private String appeal;

    /**
     * 申诉时间
     */
    private Date appealTime;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 支付金额
     */
    private BigDecimal payMoney;

    /**
     * 工作验收表图片地址
     */
    private String workAccptUrl;



}
