package com.huimv.farm.damsubsidy.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.entity.BillIsolated;
import com.huimv.farm.damsubsidy.entity.BillLandingInspection;
import com.huimv.farm.damsubsidy.mapper.BaseAnimalMapper;
import com.huimv.farm.damsubsidy.mapper.BillIsolatedMapper;
import com.huimv.farm.damsubsidy.mapper.BillLandingInspectionMapper;
import com.huimv.farm.damsubsidy.service.IBillIsolatedService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.text.DateFormat;
import java.time.LocalDate;
import java.util.Map;

/**
 * <p>
 * 落地检 服务实现类
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
@Service
public class BillIsolatedServiceImpl extends ServiceImpl<BillIsolatedMapper, BillIsolated> implements IBillIsolatedService {

    @Resource
    private BillLandingInspectionMapper landingInspectionMapper;

    @Override
    @Transactional
    public Result addIsolation(HttpServletRequest httpServletRequest, Map<String, String> paramsMap) {
        String inspectionNum = paramsMap.get("inspectionNum");
        String strIsolated = paramsMap.get("strIsolated");
        String dayIsolated = paramsMap.get("dayIsolated");
        String endIsolated = paramsMap.get("endIsolated");

        BillIsolated billIsolated = new BillIsolated();
        billIsolated.setInspectionNum(inspectionNum);
        billIsolated.setStrIsolated(LocalDate.parse(strIsolated));
        billIsolated.setDayIsolated(Integer.parseInt(dayIsolated));
        billIsolated.setEndIsolated(LocalDate.parse(endIsolated));

        BillLandingInspection billLandingInspection = landingInspectionMapper.selectOne(new QueryWrapper<BillLandingInspection>().eq("inspectionNum", inspectionNum).ne("inspection_sch", 5));
        String eartags = billLandingInspection.getEartags();
        String[] eartag = eartags.split("-");
        String s = eartag[eartag.length - 1];
        eartag[0].substring(0,eartag[0].length() - s.length());


        if (this.save(billIsolated)) {
            return Result.SUCCESS();
        }else {
            return Result.ERROR();
        }
    }

}
