package com.huimv.farm.damsubsidy.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.common.utils.ResultCode;
import com.huimv.farm.damsubsidy.entity.SysUser;
import com.huimv.farm.damsubsidy.mapper.SysUserMapper;
import com.huimv.farm.damsubsidy.service.ISysUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.Date;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements ISysUserService {

    @Autowired
    private SysUserMapper userMapper;
    @Override
    public Result loginMultilevel(HttpServletRequest httpServletRequest, Map<String,String> paramsMap) {
        //TODO 验证码接口暂时不写，验证码验证接口写在此接口之前，这里默认验证码已经正确！
        String phone = paramsMap.get("phone");
        QueryWrapper<SysUser> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("phone", phone);
        SysUser sysUser = userMapper.selectOne(queryWrapper);
        if (ObjectUtil.isEmpty(sysUser)) {
            return new Result(ResultCode.DATA_NULL, "用户暂未注册，请注册！");
        } else {
            return new Result(ResultCode.SUCCESS, sysUser);
        }
    }

    @Override
    public Result add(HttpServletRequest httpServletRequest,Map<String,String> paramsMap) {
        SysUser user = new SysUser();
        user.setUserType(Integer.parseInt(paramsMap.get("type")));
        user.setUserName(paramsMap.get("userName"));
        user.setIdCard(paramsMap.get("idCord"));
        user.setPhone(paramsMap.get("phone"));
        user.setIdCardFrontUrl(paramsMap.get("idCordFrontUrl"));
        user.setIdCardBackUrl(paramsMap.get("idCordBackUrl"));
        user.setCreateTime(new Date());
        user.setIsRealName(1);
        userMapper.insert(user);
        QueryWrapper<SysUser> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("phone", paramsMap.get("phone"));
        SysUser user1 = userMapper.selectOne(queryWrapper);
        return new Result(ResultCode.SUCCESS,user1);
    }

    @Override
    public Result edit(HttpServletRequest httpServletRequest,SysUser user) {
        userMapper.updateById(user);
        return new Result(ResultCode.SUCCESS,"修改成功！");
    }

    @Override
    public Result list(HttpServletRequest httpServletRequest, Map<String, String> paramsMap) {
        QueryWrapper<SysUser> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("phone", paramsMap.get("phone"));
        return new Result(ResultCode.SUCCESS,userMapper.selectOne(queryWrapper));
    }
}
